import { displayList, serialNumberTypeList, serialNumberPositionList } from '@/views/book/courseware/data/common';

export function getUploadControlProperty() {
  return {
    serial_number: 1, // 序号
    sn_type: serialNumberTypeList[0].value, // 序号类型：letter字母 number数字  capital大写字母 bracket_number括号数字
    sn_position: serialNumberPositionList[0].value, // 序号位置：top-start top top-end，left-start left left-end等
    sn_display_mode: displayList[0].value,
  };
}

export function getUploadControlData() {
  return {
    type: 'upload_control',
    title: '上传',
    property: getUploadControlProperty(),
    answer: {
      answer_list: [],
    },
  };
}
